# MCP9800 high accuracy temperature sensor Arduino library

This library allows you to use the MCP9800/2 temperature sensor from Microchip. 

[Datasheet](http://ww1.microchip.com/downloads/en/DeviceDoc/21909c.pdf)

Chip features:
  
	* Direct temperature readout
	* Selectable resolution: 9-12bit
	* Operating Voltage Range: 2.7V to 5.5V
	* Accuracy
	* ±0.5°C at +25°C
	* ±1°C from -10°C to +85°C
	* ±2°C from -10°C to +125°C
	* ±3°C from -55°C to +125°C
	* Power saving one-shot mode
	* I2C interface
	* Alert mode for too high/low temperatures
	* Operating current 200µA, shutdown current 1µA
	* Available in SOT-23-5, MSOP-8, SOIC-8
 	* 1.15€ one off (digikey)
 
Library features:

	* All features available with easy-to-use APIs
	* Returns celsius or fahrenheit

![Wiring diagram](wiring.jpg)

See examples for usage, MCP9800.h for documentation
